import { Map } from 'immutable'

import CreateBankModal from '../index'

describe('CreateBankModal Container', () => {
  const ConnectedCreateBankModal = withContext(CreateBankModal)
  const testbed = createTestbed(ConnectedCreateBankModal, {
    modalOpen: true,
    temporaryBank: {},
    errorsShowing: Map(),
    createBank: sinon.stub(),
    changeBank: sinon.stub(),
    clearModifications: sinon.stub(),
    errorShowingActions: {},
    closeModal: sinon.stub()
  })

  useFakeFetching({dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()})

  shouldRenderComponent(testbed, {}, CreateBankModal)
})
